Bug 107964 - ports/gnome-media-2.16.1_1 gnome-cd fails to play CD
Summary: ports/gnome-media-2.16.1_1 gnome-cd fails to play CD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-15 21:10 UTC by User1001
Modified: 2007-01-19 19:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description User1001 2007-01-15 21:10:16 UTC

1) insert audio CD into atapi CD/DVD combo unit
2) start gnome-cd
3) warning message displayed:

** (gnome-cd:27520): WARNING **: ERROR: No URI handler implemented for "cdda".

4) gnome-cd flashes "Unknown artist", "Unknown album" on-screen messages
5) gnome-cd activation stops with "No disc" on-screen message
6) all control buttons are inactive
7) changing CD-ROM device through Gnome Configuration Editor makes no difference
8) Gnome Configuration Editor has no cdda "Url-handler" defined
Comment 1 Edwin Groothuis freebsd_committer 2007-01-15 21:29:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer
Comment 2 Jeremy Messenger 2007-01-18 17:37:08 UTC
I don't know much about gnome-cd and cdda, so just wondering if you have  
gstreamer-plugins-cdparanoia installed?

Cheers,
Mezz


-- 
mezz7@cox.net  -  mezz@FreeBSD.org
FreeBSD GNOME Team  -  FreeBSD Multimedia Hat (ports, not src)
http://www.FreeBSD.org/gnome/  -  gnome@FreeBSD.org
http://wiki.freebsd.org/multimedia  -  multimedia@FreeBSD.org
Comment 3 User1001 2007-01-19 09:47:18 UTC
No - I do not have "gstreamer-plugins-cdparanoia" installed. I will try that and
see if anything changes. I note that it is not a requirement for "gnome-media".

Jeremy Messenger wrote:
> I don't know much about gnome-cd and cdda, so just wondering if you have
> gstreamer-plugins-cdparanoia installed?
Comment 4 User1001 2007-01-19 10:02:27 UTC
OK - installed "gstreamer-plugins-cdparanoia-0.10.11_2,2" and "gnome-cd" is now
able to perform its CDDA lookup and playback the installed CD.

Perhaps "gstreamer-plugins-cdparanoia-0.10.11_2,2" should be a requirement, or
at least an option, in the Makefile for "gnome-cd". Seems kinda pointless to not
be able to playback a CD at all when there is no builtin CDDA support in "gnome-cd".

The problem noted in PR#107964 has been fixed by the installation of
"gstreamer-plugins-cdparanoia-0.10.11_2,2", but that still leaves open the
question of how best to incorporate the plugin with "gnome-media" without the
user having to figure it all out. So - should there be a separate PR to address
this association issue?


Jeremy Messenger wrote:
> I don't know much about gnome-cd and cdda, so just wondering if you have
> gstreamer-plugins-cdparanoia installed?
Comment 5 Jeremy Messenger 2007-01-19 19:31:33 UTC
On Fri, 19 Jan 2007 04:02:27 -0600, User1001 <supraexpress@globaleyes.net>  
wrote:

> OK - installed "gstreamer-plugins-cdparanoia-0.10.11_2,2" and "gnome-cd"  
> is now
> able to perform its CDDA lookup and playback the installed CD.
>
> Perhaps "gstreamer-plugins-cdparanoia-0.10.11_2,2" should be a  
> requirement, or
> at least an option, in the Makefile for "gnome-cd". Seems kinda  
> pointless to not
> be able to playback a CD at all when there is no builtin CDDA support in  
> "gnome-cd".

Yes, I will add gstreamer-plugins-cdparanoia as dependency in gnome-media  
and bump gnome-media soon.

> The problem noted in PR#107964 has been fixed by the installation of
> "gstreamer-plugins-cdparanoia-0.10.11_2,2", but that still leaves open  
> the
> question of how best to incorporate the plugin with "gnome-media"  
> without the
> user having to figure it all out. So - should there be a separate PR to  
> address
> this association issue?

No, never file another PR to fix for another PR unless it is a different  
bug or subject. While I am here, thanks for report and test!

Cheers,
Mezz

> Jeremy Messenger wrote:
>> I don't know much about gnome-cd and cdda, so just wondering if you have
>> gstreamer-plugins-cdparanoia installed?


-- 
mezz7@cox.net  -  mezz@FreeBSD.org
FreeBSD GNOME Team  -  FreeBSD Multimedia Hat (ports, not src)
http://www.FreeBSD.org/gnome/  -  gnome@FreeBSD.org
http://wiki.freebsd.org/multimedia  -  multimedia@FreeBSD.org
Comment 6 dfilter service freebsd_committer 2007-01-19 19:36:47 UTC
mezz        2007-01-19 19:36:38 UTC

  FreeBSD ports repository

  Modified files:
    audio/gnome-media    Makefile 
  Log:
  Add a missing dependency, gstreamer-plugins-cdparanoia, to fix gnome-cd in the
  runtime when trying to load audio CD. Bump the PORTREVISION.
  
  PR:             ports/107964
  Reported by:    User1001 <supraexpress@globaleyes.net>
  
  Revision  Changes    Path
  1.78      +2 -2      ports/audio/gnome-media/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Jeremy Messenger freebsd_committer 2007-01-19 19:37:02 UTC
State Changed
From-To: open->closed

I have committed a fix, so wait for CVSup mirrors to catch up. Thanks for 
report!